Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.actions
Class CloseAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.ActionAction
              de.jsystems.framework.common.actions.CloseAction

All Implemented Interfaces:
  ActionListener, EventListener

public class CloseAction
extends ActionAction

Die Action gehoert entweder zum `BusinessMenu` oder zur `BusinessToolbar`. Aufgerufen wird die Action, wenn der zugehoerige Menuepunkt oder Toolbarbutton angewaehlt wird. Die Action ruft dann im `Controller` die Methode `Controller.close()` auf.

Diese Action ist nicht mit den beiden Actions `CloseDialogAction` und `CloseFrameAction` zu verwechseln. Den bei diesen beiden Actions handelt es sich um FensterActions. Und beide Actions rufen andere Methoden im Controller auf und erwarten auch einen anderen Typ von Controller. Als CloseAction wird hier eher das schliessen von Dokumenten angedacht, also eher ein logisches schliessen, was nicht unbedingt mit einer Aenderung der GUI einhergehen muss.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`CloseAction()` Erzeugt eine neue CloseAction.

Method Summary
`void` | `doActionPerformed(ActionEvent ae)` Ruft im Controller die Methode `Controller.close()` auf.

Methods inherited from class de.jsystems.framework.common.action.awt.ActionAction
`actionPerformed`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloseAction

    public CloseAction()

  Erzeugt eine neue CloseAction.

Method Detail

### doActionPerformed

    public void doActionPerformed(ActionEvent ae)
                           throws Exception

  Ruft im Controller die Methode `Controller.close()` auf.

  Overrides:
    `doActionPerformed` in class `ActionAction`
  Parameters:
    `ae` - Das ausgeloeste ActionEvent.
  Throws:
    `Exception` - wenn in der Action ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD